=== debian/changelog ===
sdlpop (1.17-1mx15+1) mx; urgency=medium

  * Repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 07 Mar 2017 19:56:45 -0800

sdlpop (1.17-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 19 Feb 2017 15:37:09 +0100

sdlpop (1.16-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 05 Jun 2016 05:51:44 +0200
