=== debian/watch ===
version=3
https://github.com/NagyD/SDLPoP/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz
